Package org.codehaus.groovy.transform.stc

# Enum StaticTypesMarker

java.lang.Object
java.lang.Enum<StaticTypesMarker>
org.codehaus.groovy.transform.stc.StaticTypesMarker

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StaticTypesMarker>`, `java.lang.constant.Constable`

    public enum StaticTypesMarker
    extends java.lang.Enum<StaticTypesMarker>

This enumeration is used by the AST transformations which rely on static type checking, either to store or to retrieve information from AST node metadata. The values of this enumeration are used as metadata keys.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CLOSURE_ARGUMENTS` |
  `CONSTRUCTED_LAMBDA_EXPRESSION` |
  `DECLARATION_INFERRED_TYPE` |
  `DELEGATION_METADATA` |
  `DIRECT_METHOD_CALL_TARGET` |
  `DYNAMIC_RESOLUTION` |
  `IMPLICIT_RECEIVER` |
  `INFERRED_FUNCTIONAL_INTERFACE_TYPE` |
  `INFERRED_RETURN_TYPE` |
  `INFERRED_TYPE` |
  `INITIAL_EXPRESSION` |
  `PARAMETER_TYPE` |
  `PV_FIELDS_ACCESS` |
  `PV_FIELDS_MUTATION` |
  `PV_METHODS_ACCESS` |
  `READONLY_PROPERTY` |
  `SUPER_MOP_METHOD_REQUIRED` |
  `SWITCH_CONDITION_EXPRESSION_TYPE` |
  `TYPE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static StaticTypesMarker` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static StaticTypesMarker[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFERRED_TYPE

    public static final StaticTypesMarker INFERRED_TYPE

  - ### DECLARATION_INFERRED_TYPE

    public static final StaticTypesMarker DECLARATION_INFERRED_TYPE

  - ### INFERRED_RETURN_TYPE

    public static final StaticTypesMarker INFERRED_RETURN_TYPE

  - ### CLOSURE_ARGUMENTS

    public static final StaticTypesMarker CLOSURE_ARGUMENTS

  - ### READONLY_PROPERTY

    public static final StaticTypesMarker READONLY_PROPERTY

  - ### INITIAL_EXPRESSION

    public static final StaticTypesMarker INITIAL_EXPRESSION

  - ### DIRECT_METHOD_CALL_TARGET

    public static final StaticTypesMarker DIRECT_METHOD_CALL_TARGET

  - ### DELEGATION_METADATA

    public static final StaticTypesMarker DELEGATION_METADATA

  - ### IMPLICIT_RECEIVER

    public static final StaticTypesMarker IMPLICIT_RECEIVER

  - ### PV_FIELDS_ACCESS

    public static final StaticTypesMarker PV_FIELDS_ACCESS

  - ### PV_FIELDS_MUTATION

    public static final StaticTypesMarker PV_FIELDS_MUTATION

  - ### PV_METHODS_ACCESS

    public static final StaticTypesMarker PV_METHODS_ACCESS

  - ### DYNAMIC_RESOLUTION

    public static final StaticTypesMarker DYNAMIC_RESOLUTION

  - ### SUPER_MOP_METHOD_REQUIRED

    public static final StaticTypesMarker SUPER_MOP_METHOD_REQUIRED

  - ### PARAMETER_TYPE

    public static final StaticTypesMarker PARAMETER_TYPE

  - ### INFERRED_FUNCTIONAL_INTERFACE_TYPE

    public static final StaticTypesMarker INFERRED_FUNCTIONAL_INTERFACE_TYPE

  - ### CONSTRUCTED_LAMBDA_EXPRESSION

    public static final StaticTypesMarker CONSTRUCTED_LAMBDA_EXPRESSION

  - ### SWITCH_CONDITION_EXPRESSION_TYPE

    public static final StaticTypesMarker SWITCH_CONDITION_EXPRESSION_TYPE

  - ### TYPE

    public static final StaticTypesMarker TYPE

- ## Method Details

  - ### values

    public static StaticTypesMarker[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StaticTypesMarker valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null